5.3.0-git
2014-10-21

[#7449] Incoming email processor for generic email actions
Summary Incoming email processor for generic email actions
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2008-10-07 (2205 days ago)
Due
Updated 2014-04-21 (183 days ago)
Assigned
Resolved
Milestone
Patch No

History
2009-09-07 03:09:58 Chuck Hagenbuch Comment #6 Reply to this comment
2008-12-13 02:12:46 Chuck Hagenbuch Comment #4 Reply to this comment
Another use case is time tracking, which could also include outgoing 
email prompts for cost objects, which users could then reply to with 
their hours.
2008-12-13 01:36:00 Chuck Hagenbuch Comment #3
New Attachment: Sandy — your free personal email assistant.pdf
Reply to this comment
I Want Sandy is (was) a good example of this sort of tech. Attaching 
the user guide and here are some related links:

http://code.google.com/p/sandysback/

http://sandysback.blogspot.com/

http://getsatisfaction.com/iwantsandy/topics/what_is_an_alternate_service_to_i_want_sandy



This is another service that does NLP:

http://www.readwriteweb.com/archives/deadline_task_management.php
2008-10-07 20:38:49 Chuck Hagenbuch Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Base
Summary ⇒ Incoming email processor for generic email actions
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Create a script that can be used to receive email to multiple 
addresses for creating information. The address the message is sent to 
should be inferred from the email so that a single alias can handle 
messages for a whole Horde installation. Messages should be directed 
to a specific application via keywords and probably a survey of API 
methods to see what applications are available.



The address to send emails to should be configurable to some extent; 
possibly with a random string for minimal privacy. In any case 
destructive actions should not happen as a result of email processing.



Example use cases:



- send an email marked "note this" to create a note in mnemo

- send an email marked "schedule this" to create an event

- send an email with a vcard attachment to create a contact, or a 
vevent attachment to create an event

- send an email with an image attachment to upload it to ansel

- send an email to jonah to create a blog post